Get goal progress
curl -X GET "https://api.403fin.io/v1/goals/123e4567-e89b-12d3-a456-426614174000/progress" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.403fin.io/v1/goals/123e4567-e89b-12d3-a456-426614174000/progress"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.403fin.io/v1/goals/123e4567-e89b-12d3-a456-426614174000/progress", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.403fin.io/v1/goals/123e4567-e89b-12d3-a456-426614174000/progress", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.403fin.io/v1/goals/123e4567-e89b-12d3-a456-426614174000/progress')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"data": {
"goal_id": "123e4567-e89b-12d3-a456-426614174000",
"current_amount": "example_string",
"target_amount": "example_string",
"remaining_amount": "example_string",
"progress_pct": "example_string",
"days_remaining": 42,
"projected_completion_date": "2024-12-25",
"monthly_contribution_needed": "example_string",
"last_contribution_at": "2024-12-25T10:00:00Z",
"monthly_shortfall": "example_string"
},
"pagination": {
"next_cursor": "example_string",
"has_more": true
},
"redacted_fields": [
"example_string"
],
"filtered": true
}
{}
GET
/v1/goals/{id}/progressGET
Base URLstring
Target server for requests. Edit to use your own host.
Bearer Token
Bearer Tokenstring
RequiredAn opaque ff_ credential (ff_ak_ / ff_at_) presented as a Bearer token.
An opaque ff_ credential (ff_ak_ / ff_at_) presented as a Bearer token.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAn opaque ff_ credential presented in the X-API-Key header.
An opaque ff_ credential presented in the X-API-Key header.
path
idstring
RequiredThe resource UUID.
Format: uuid
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. An opaque ff_ credential (ff_ak_ / ff_at_) presented as a Bearer token.
header
X-API-Keystring
RequiredAPI Key for authentication. An opaque ff_ credential presented in the X-API-Key header.
Path Parameters
idstring
RequiredThe resource UUID.
Responses
dataobject
Requiredpaginationstring
Cursor pagination state, present on list endpoints.
redacted_fieldsstring[]
Field ids stripped from the payload by connection scope.
filteredboolean
True when row or aggregate filtering is in effect for this response.
Was this page helpful?